Subject: Edina faux fur pillow
From: Sara <[email-masked]>
To: [email-masked]
Date: Sat, 15 Nov 2025 09:02:26 -0500

Hi, wanted to confirm the pillow color for the Madison Park Edina Faux Fur
20x20 throw pillow.  There are multiple colors, interested in the
black/charcoal color but notes list as grey.  Could you confirm.  Tha k you.

Sara